mod registration;

use crate::api::v1::onboarding::registration::register;
use crate::config::SMTPConfig;
use axum::{routing, Router};

pub fn new(smtp_config: SMTPConfig) -> Router {
    Router::new().nest(
        "/onboarding",
        Router::new().route("/register", routing::post(register).with_state(smtp_config)),
    )
}
